import request from '@/utils/request'

// 查询安全检查台账列表
export function listLedger(query) {
  return request({
    url: '/safe/inspect/list',
    method: 'get',
    params: query
  })
}

// 查询安全检查台账详细
export function getLedger(inspectId) {
  return request({
    url: '/safe/inspect/' + inspectId,
    method: 'get'
  })
}

// 新增安全检查台账
export function addLedger(data) {
  return request({
    url: '/safe/inspect',
    method: 'post',
    data: data
  })
}

// 修改安全检查台账
export function updateLedger(data) {
  return request({
    url: '/safe/inspect',
    method: 'put',
    data: data
  })
}

// 删除安全检查台账
export function delLedger(inspectId) {
  return request({
    url: '/safe/inspect/' + inspectId,
    method: 'delete'
  })
}

// 导出安全检查台账
export function exportLedger(query) {
  return request({
    url: '/safe/inspect/export',
    method: 'get',
    params: query
  })
}
